<script>
	import SVG from "@/components/svg.svelte"

	import { t } from "@/i18n"

	export let size
</script>

<template lang="pug">
	.no-results.is-flex.is-align-items-center.is-justify-content-flex-start( 
		class!='{size}' 
		class:is-flex-direction-column!='{size !== "small"}')
		span.icon: SVG( name="search" )
		p {$t("default.no_results")}
</template>

<style lang="scss">
	.no-results {
		padding: 3rem;
		background: $gray;
		.icon {
			width: 4rem;
			margin-bottom: 1.5rem;
			:global(svg) {
				height: 4rem;
			}
		}
		p {
			font-size: 1.125rem;
			font-weight: 300;
			color: $gray-text;
			text-align: center;
		}
		&.small {
			padding: 1rem;
			.icon {
				margin-right: .5rem;
				margin-bottom: 0;
				width: 1.5rem;
				:global(svg) {
					height: 1.5rem;
				}
			}
			p {
				font-size: .875rem;
				text-align: left;
			}
		}
	}
</style>